Bug 616587 - nss-pam-ldapd has replaced nss_ldap
Summary: nss-pam-ldapd has replaced nss_ldap
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Deployment_Guide   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jaromir Hradilek
QA Contact: ecs-bugs
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks: 561641
TreeView+ depends on / blocked
 
Reported: 2010-07-20 20:59 UTC by Jeff Bastian
Modified: 2018-11-26 19:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-25 11:52:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Bastian 2010-07-20 20:59:56 UTC
Description of problem:
nss-pam-ldapd has replaced nss_ldap [1] in RHEL 6, but the Deployment Guide still refers to nss_ldap in section 15.3.1 [2].

[1] http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Beta_2_Release_Notes/apcs04.html
[2] http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Deployment_Guide/s1-ldap-daemonsutils.html#s2-ldap-pam-nss

Please update the Deployment Guide to reference nss-pam-ldapd.

Comment 1 Martin Prpič 2010-07-21 15:02:53 UTC
This bug incorrectly blocks "Bug 561642  - Review: ch. 16. Authentication Configuration". This bug should block chapter 15, LDAP. See: 

Bug 561641 - Review: ch. 14. Lightweight Directory Access Protocol (LDAP)
https://bugzilla.redhat.com/show_bug.cgi?id=561641

Comment 2 Jeff Bastian 2010-07-21 15:11:43 UTC
I'm sorry, I've updated the blocker bug number.

Did the chapter numbers change at some point?  The chapter numbers are off by one compared to the blocker bugs.

Bug 561642 description is
   Review: ch. 16. Authentication Configuration
but bug 561642 comment 0 is
   tracker for all ch. 15. Authentication Configuration bugs.

And chapter 15 is LDAP now, whereas it's listed as chapter 14 for Bug 561641.

Comment 3 Martin Prpič 2010-07-21 15:23:56 UTC
Yes, the chapter numbers have changed. I will notify everyone about this issue and update all the numbers in all bugs. Thanks!

Comment 4 Wayne Johnson 2010-07-30 00:52:44 UTC
nss_ldap is also incorrectly referenced in Section 32.4 (Kickstart Options) of the Install Guide.  This should also be updated, to refer to nss-pam-ldapd.

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Installation_Guide/s1-kickstart2-options.html


Note You need to log in before you can comment on or make changes to this bug.